MetaMask Legacy Web3

Chrome version unavailable

We've recently become aware that the MetaMask Legacy extension for Chrome-based browsers is unavailable (the link below will not work). We're working with Google to rectify this.

With version 9.0.0 of the MetaMask browser extension, we stopped providing the window.web3 API to websites. We communicated this change to the Ethereum community over a year in advance. Nevertheless, unmaintained sites may still break. In order for our users to access these legacy websites, we created the MetaMask Legacy Web3 Extension. If you install this extension alongside the regular MetaMask wallet extension, websites that rely on our old window.web3 API should start working again.

As with the regular extension, it’s critical that you only install from the official browser extension stores. Please follow the relevant link below to install the Legacy Web3 extension in your browser:

Was this article helpful?
324 out of 520 found this helpful

Articles in this section

See more